Subject: RE: bug#50999: [External] : bug#50999: 29.0.50; Deleting libraries obsolete since Emacs 24

From: Drew Adams <[email-masked]>
Date: Sun, 14 Nov 2021 21:33:56 +0000

> > > > The point is that there's no obligation to
> > > > make changes (maintenance or other) to code
> > > > that you've declared is "obsolete".
> > >
> > > It's easy for you to say that, since you don't
> > > have to pick up the gauntlet of the maintenance.
> > > The downside is non-negligible.
> >
> > What's the obligation to maintain any
> > particular obsolete code?
> 
> Lars answered that up-thread.

Where?

I see that he claimed this:

> If we distribute code, then we'll be fixing
> bugs in that code.  I don't think there's
> any way around that.

No reason given there - just a claim that such
fixing has to be done.

And elsewhere in the thread he said this:

> We have to get rid of things that we no longer
> think is very useful in Emacs, otherwise Emacs
> will grow unbounded, and we don't have the
> maintainer capacity for that.

I don't see any evidence that keeping what we
have means Emacs will grow unbounded.

And some things are anyway removed or replaced
without their ever having been made obsolete.

There's no reason given there, for supposing
that even unbounded growth - which would come
from the growth of code that's NOT obsolete -
would in any way add to the maintenance burden
("maintainer capacity" and "gauntlet of the
maintenance").

Lots of holes, if that's the reason you meant
to reference.  But please do point to what
you really mean, to make things clear.

I don't see where Lars or anyone else gave a
reason that would oblige anyone to fix bugs
in such code.

It should also be easy enough for you to
restate the reason, or summarize it, if you
too can't find it.
___

Here's a related question, which might hint at
whether there's reason to suppose that not
removing obsolete code _would_ impose a
maintenance burden:

When was the last maintenance done on obsolete
code?  When was _any_ bug fixed on such code?
IOW, how about measuring past such work, as an
indication of the supposed burden?

This question is different from whether there's
some obligation for performing such maintenance.
IOW, even if we suppose such an obligation,
what's the actual burden to be expected?